rte_regexdev_match(3)

NAME
rte_regexdev_match

SYNOPSIS

#include <rte_regexdev.h>

Detailed Description

The generic rte_regexdev_match structure to hold the RegEx match attributes.

See also
    struct rte_regex_ops::matches

Definition at line 1245 of file rte_regexdev.h.

Field Documentation

  uint32_t rule_id
Rule identifier to which the pattern matched.

See also
    struct rte_regexdev_rule::rule_id

Definition at line 1249 of file rte_regexdev.h.

  uint32_t group_id
Group identifier of the rule which the pattern matched.

See also
    struct rte_regexdev_rule::group_id

Definition at line 1253 of file rte_regexdev.h.

  uint16_t start_offset
Starting Byte Position for matched rule.

Definition at line 1257 of file rte_regexdev.h.

  uint16_t len
Length of match in bytes

Definition at line 1260 of file rte_regexdev.h.

  uint16_t end_offset
The end offset of the match. In case MATCH_AS_END configuration is enabled.

See also
    RTE_REGEXDEV_CFG_MATCH_AS_END

Definition at line 1262 of file rte_regexdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.